﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class AddDetectivesScript : MonoBehaviour
{

    public SelectionScript s;

    public List<GameObject> detectiveList;
    public GameObject detPanel;

    public void startPressed()
    {
        detectiveList = s.getList();

        // gets the three inactive game objects
        Transform[] detSpaces = detPanel.GetComponentsInChildren<Transform>(true);

        for(int i = 1; i < detectiveList.Count + 1; i++)
        {
            int pos = i - 1;
            detSpaces[i].gameObject.SetActive(true);

            // set detective script
            DetectiveScript detFrom = detectiveList[pos].GetComponent<DetectiveScript>();
            DetectiveScript detTo = detSpaces[i].GetComponent<DetectiveScript>();
            Debug.Log(detTo);
            detTo.DetectiveStats.Det.Name = detFrom.DetectiveStats.Det.Name;
            detTo.DetectiveStats.Det.Stats.WeakStrongScale = detFrom.DetectiveStats.Det.Stats.WeakStrongScale;
            detTo.DetectiveStats.Det.Stats.DepravedHonorableScale = detFrom.DetectiveStats.Det.Stats.DepravedHonorableScale;
            detTo.DetectiveStats.Det.Stats.LazyAmbitiousScale = detFrom.DetectiveStats.Det.Stats.LazyAmbitiousScale;
            detTo.DetectiveStats.detectiveID = detFrom.DetectiveStats.detectiveID;
            detTo.DetectiveStats.SearchAbility = detFrom.DetectiveStats.SearchAbility;

            Image icon = detSpaces[i].GetComponentInChildren<Image>();
            icon.color = detectiveList[pos].GetComponentInChildren<Image>().color;

            Text name = detSpaces[i].GetComponentInChildren<Text>();
            name.text = detectiveList[pos].GetComponentInChildren<Text>().text;
        }
    }
}
